<template>
  <div
    class="d-flex flex-column align-items-center justify-content-center min-vh100 p-2"
  >
    <img
      v-if="colorScheme === 'dark'"
      alt="Citadel"
      src="@/assets/dark-logo.svg"
      height="200"
      class="mb-5 logo"
    />
    <img
      v-else
      alt="Citadel"
      src="@/assets/logo.svg"
      height="200"
      class="mb-5 logo"
    />

    <b-progress
      :value="progress"
      class="mb-2 w-25"
      variant="primary"
      :style="{ height: '4px' }"
      animated
      striped
    ></b-progress>
    <slot></slot>
  </div>
</template>

<script lang="ts" setup>
defineProps({ progress: { type: Number, default: 0 } });
const colorScheme = useColorMode();
</script>

<style lang="scss">
.logo {
  height: 20vh;
  max-height: 200px;
  width: auto;
}
</style>
